/************************************************************************************
**  MySQL       
** MySQL class contains methods for working with databases
**
**
*************************************************************************************/






#ifndef MYSQL_H
#define MYSQL_H

#include "settingsdialog.h"
#include "tablefield.h"
#include "sqltable.h"

#include <QObject>
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QProcess>
#include <QByteArray>
#include <QSqlQuery>


class MySql : public QObject
{
Q_OBJECT
public:
    explicit MySql(QObject *parent = 0);
 ~MySql();
    bool connect(); //    
    bool createDataBase(); //             ( ListOfClasses   DescriptionOfClasses)
    bool createListOfClassesTable(); //            ( ListOfClasses)
    bool createDescriptionOfClassesTable(); //           ( DescriptionOfClasses)
    bool createListModelsTable(); //          ( ListOfModels)
    bool createFiltersTable(); //          ( Filters)
signals:

public slots:

private:
    QString sqlDatabaseName; //     ,     
    QString sqlUserName; //      
    QString sqlPassword; //      
    QString sqlHostName; //    ,     
    QSqlDatabase db;
    QString mysqlLastError;

protected:

public:
    void setDatabaseName(QString dbname);
    void setUserName(QString uname);
    void setPassword(QString passwrd);
    void setHostName(QString hname);
    bool createTable(SqlTable* table); //     
    void close(); //    

    QString lasError();
    QSqlError dbLastError(); //      


};

#endif // MYSQL_H
